package org.gvsig.raster.projecttemplate.algorithm;

import org.gvsig.i18n.Messages;
import org.gvsig.raster.tools.algorithm.base.RasterBaseAlgorithmLibrary;
import org.gvsig.tools.library.AbstractLibrary;
import org.gvsig.tools.library.LibraryException;

/**
 * Initialization of ProjectTemplateAlgorithmLibrary library.
 */
public class ProjectTemplateAlgorithmLibrary extends AbstractLibrary {
	public static final String         PROCESS_LABEL   = "ProjectTemplateProcess";
	
    @Override
    protected void doInitialize() throws LibraryException {
        // Nothing to do
    }

    @Override
    protected void doPostInitialize() throws LibraryException {
    	//Registers the process and its parameters
    	RasterBaseAlgorithmLibrary.register(PROCESS_LABEL, ProjectTemplateProcess.class);
    	ProjectTemplateProcess.registerParameters();
    	
        Messages.addResourceFamily(
            "org.gvsig.raster.projecttemplate.algorithm", 
            ProjectTemplateAlgorithmLibrary.class.getClassLoader(), 
            ProjectTemplateAlgorithmLibrary.class.getClass().getName());
        //registerGeoProcess(new RasterReprojectAlgorithmLibrary());
        
        Messages.addResourceFamily("org.gvsig.raster.projecttemplate.algorithm.i18n.text",
        		ProjectTemplateAlgorithmLibrary.class.getClassLoader(),
        		ProjectTemplateAlgorithmLibrary.class.getClass().getName()); 
    }
}
