package org.gvsig.raster.projecttemplate.app;

import javax.swing.Icon;

import org.gvsig.andami.IconThemeHelper;
import org.gvsig.andami.plugins.Extension;
import org.gvsig.app.project.documents.view.toc.AbstractTocContextMenuAction;
import org.gvsig.app.project.documents.view.toc.ITocItem;
import org.gvsig.fmap.mapcontext.layers.FLayer;
import org.gvsig.i18n.Messages;
import org.gvsig.raster.tools.app.basic.raster.gui.IGenericToolBarMenuItem;

public class ProjectTemplateTocMenuEntry extends AbstractTocContextMenuAction implements IGenericToolBarMenuItem {
	static private ProjectTemplateTocMenuEntry singleton  = null;
	private static Extension                     extension  = null;
	
	
	public static void setExtension(Extension ext) {
		extension = ext;
	}

	private ProjectTemplateTocMenuEntry() {}

	static public ProjectTemplateTocMenuEntry getSingleton() {
		if (singleton == null)
			singleton = new ProjectTemplateTocMenuEntry();
		return singleton;
	}
	
	public String getGroup() {
		return "RasterProcess";
	}

	public int getGroupOrder() {
		return 55;
	}

	public int getOrder() {
		return 0;
	}

	public String getText() {
		return Messages.getText("projecttemplate");
	}

	public boolean isEnabled(ITocItem item, FLayer[] selectedItems) {
		return true;
	}

	public boolean isVisible(ITocItem item, FLayer[] selectedItems) {
		return true;
	}

	public void execute(ITocItem item, FLayer[] selectedItems) {
		extension.execute("GEOREFERENCING");
	}
	
	public Icon getIcon() {
		return IconThemeHelper.getImageIcon("gvsig-icon");
	}
}