package org.gvsig.raster.projecttemplate.swing.impl;

import java.util.Locale;

import org.gvsig.i18n.Messages;
import org.gvsig.raster.projecttemplate.swing.ProjectTemplateSwingLocator;
import org.gvsig.tools.library.AbstractLibrary;
import org.gvsig.tools.library.LibraryException;

/**
 * Library for default implementation initialization and configuration.
 * 
 * @author gvSIG team
 * @version $Id$
 */
public class ProjectTemplateDefaultSwingImplLibrary extends AbstractLibrary {
	
	public ProjectTemplateDefaultSwingImplLibrary() {
		registerAsImplementationOf(ProjectTemplateDefaultSwingImplLibrary.class);
	}

	protected void doInitialize() throws LibraryException {
        //Register the default GeometryManager
		ProjectTemplateSwingLocator.registerSwingManager(DefaultProjectTemplateSwingManager.class);
		
		if (!Messages.hasLocales()) {
            Messages.addLocale(Locale.getDefault());
        }
        
        Messages.addResourceFamily("org.gvsig.raster.projecttemplate.swing.impl.i18n.text",
        		ProjectTemplateDefaultSwingImplLibrary.class.getClassLoader(),
        		ProjectTemplateDefaultSwingImplLibrary.class.getClass().getName()); 
        
        registerIcons();
	}

    @Override
    protected void doPostInitialize() throws LibraryException {
    	
    }
    
    private void registerIcons() {
		//IconThemeHelper.registerIcon(null, "...", this);
    }

}
