package org.gvsig.raster.projecttemplate.lib;

import org.gvsig.tools.library.AbstractLibrary;
import org.gvsig.tools.library.LibraryException;
import org.gvsig.tools.locator.ReferenceNotRegisteredException;

/**
 * Library for API initialization and configuration.
 * 
 * @author gvSIG team
 * @version $Id$
 */
public class ProjectTemplateLibrary extends AbstractLibrary {
	
	public ProjectTemplateLibrary() {
        registerAsAPI(ProjectTemplateLibrary.class);
	}
	
    @Override
    protected void doInitialize() throws LibraryException {
    }

    @Override
    protected void doPostInitialize() throws LibraryException {
        // Validate there is any implementation registered.
    	ProjectTemplateManager manager = ProjectTemplateLocator.getManager();
        if (manager == null) {
            throw new ReferenceNotRegisteredException(
            		ProjectTemplateLocator.MANAGER_NAME, 
            		ProjectTemplateLocator.getInstance());
        }
    }

}
