package org.gvsig.raster.projecttemplate.lib;

import org.gvsig.tools.exception.BaseException;

/**
 * Exception thrown when there is an error getting a Raster message.
 * 
 * @author gvSIG team
 * @version $Id$
 */
public class ProjectTemplateMessageException extends BaseException {

    private static final long serialVersionUID = -4051458353306878010L;

    private static final String MESSAGE =
        "An error has been produced " + "getting the Raster message";

    private static final String KEY = "_RasterMessageException";

    /**
     * Creates a new {@link ProjectTemplateMessageException}.
     * 
     * @param cause
     *            the original cause
     */
    public ProjectTemplateMessageException(Throwable cause) {
        super(MESSAGE, cause, KEY, serialVersionUID);
    }
}
