package org.gvsig.raster.projecttemplate.lib;

import java.util.Date;

/**
 * Represents a Raster element.
 * 
 * @author gvSIG team
 * @version $Id$
 */
public interface ProjectTemplateService {

    /**
     * Returns the Raster's message.
     * 
     * @return the message associated to a TaskWithoutPreviewService
     * @throws ProjectTemplateMessageException
     *             if there is an error getting the Raster's message
     */
    public String getMessage() throws ProjectTemplateMessageException;

    /**
     * Returns the {@link ProjectTemplateManager}
     * 
     * @return {@link ProjectTemplateManager}
     * @see {@link ProjectTemplateManager}
     */
    public ProjectTemplateManager getManager();

    /**
     * Returns the Raster's creation date.
     * 
     * @return the creation date associated to a TaskWithoutPreviewService
     */
    public Date getDate();

}
