package org.gvsig.raster.projecttemplate.swing;

import org.gvsig.tools.library.AbstractLibrary;
import org.gvsig.tools.library.LibraryException;
import org.gvsig.tools.locator.ReferenceNotRegisteredException;

/**
 * Library for API initialization and configuration.
 * 
 * @author gvSIG team
 * @version $Id$
 */
public class ProjectTemplateSwingLibrary extends AbstractLibrary {
	
    @Override
    protected void doInitialize() throws LibraryException {
    }

    @Override
    protected void doPostInitialize() throws LibraryException {
        // Validate there is any implementation registered.
    	ProjectTemplateSwingManager manager = ProjectTemplateSwingLocator.getSwingManager();
        if (manager == null) {
            throw new ReferenceNotRegisteredException(
            		ProjectTemplateSwingLocator.SWING_MANAGER_NAME, 
            		ProjectTemplateSwingLocator.getInstance());
        }
    }

}
